Bug 179618 - [UPDATE] devel/py-Jinja2 to 2.7
[UPDATE] devel/py-Jinja2 to 2.7
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Nicola Vitale
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-16 15:50 UTC by Olivier Duchateau
Modified: 2013-06-17 12:10 UTC (History)
0 users

See Also:


Attachments
file.diff (4.24 KB, patch)
2013-06-16 15:50 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2013-06-16 15:50:00 UTC
- Update to 2.7
- Trim Makefile header

Note: Now Jinja2 is full compatible with Python 3.x, but I kept PY2TO3_CMD because examples files have not been recently modified.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-06-16 15:50:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nivit

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-06-17 12:01:22 UTC
Author: nivit
Date: Mon Jun 17 11:01:13 2013
New Revision: 321093
URL: http://svnweb.freebsd.org/changeset/ports/321093

Log:
  - Update to 2.7  [1]
  - Trim Makefile header  [1]
  - Set USE_PYTHON to yes  [1]
  - Add TEST_DEPENDS
  
  Build log:	http://goo.gl/5JD9Z
  Release notes:	http://goo.gl/Oyve4
  
  PR:	ports/179618  [1]
  Submitted by:	olivierd

Modified:
  head/devel/py-Jinja2/Makefile
  head/devel/py-Jinja2/distinfo
  head/devel/py-Jinja2/pkg-plist

Modified: head/devel/py-Jinja2/Makefile
==============================================================================
--- head/devel/py-Jinja2/Makefile	Mon Jun 17 10:58:01 2013	(r321092)
+++ head/devel/py-Jinja2/Makefile	Mon Jun 17 11:01:13 2013	(r321093)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	jinja
-# Date created:		2007-02-14
-# Whom:			Nicola Vitale <nivit@FreeBSD.org>
-#
+# Created by: Nicola Vitale <nivit@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	Jinja2
-PORTVERSION=	2.6
-PORTREVISION=	1
+PORTVERSION=	2.7
+PORTREVISION=	0
 CATEGORIES=	devel python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -18,7 +14,7 @@ COMMENT?=	Fast and easy to use stand-alo
 
 LICENSE=	BSD
 
-USE_PYTHON=	2.5+
+USE_PYTHON=	yes
 .if empty(PKGNAMESUFFIX)
 USE_PYDISTUTILS=	easy_install
 .endif
@@ -33,6 +29,8 @@ BABEL_DESC=	Enable Babel extension
 
 PY2TO3_CMD=	${LOCALBASE}/bin/2to3-${PYTHON_VER}
 
+TEST_DEPENDS=	${PYTHON_PKGNAMEPREFIX}MarkupSafe>=0.11:${PORTSDIR}/textproc/py-MarkupSafe
+
 .include <bsd.port.options.mk>
 
 .include <bsd.port.pre.mk>

Modified: head/devel/py-Jinja2/distinfo
==============================================================================
--- head/devel/py-Jinja2/distinfo	Mon Jun 17 10:58:01 2013	(r321092)
+++ head/devel/py-Jinja2/distinfo	Mon Jun 17 11:01:13 2013	(r321093)
@@ -1,2 +1,2 @@
-SHA256 (Jinja2-2.6.tar.gz) = a85e185375db75c109f99ecde3d55415f035e7068a82252cf4f16c667ac38f49
-SIZE (Jinja2-2.6.tar.gz) = 389741
+SHA256 (Jinja2-2.7.tar.gz) = 474f1518d189ae7e318b139fecc1d30b943f124448cfa0f09582ca23e069fa4d
+SIZE (Jinja2-2.7.tar.gz) = 377603

Modified: head/devel/py-Jinja2/pkg-plist
==============================================================================
--- head/devel/py-Jinja2/pkg-plist	Mon Jun 17 10:58:01 2013	(r321092)
+++ head/devel/py-Jinja2/pkg-plist	Mon Jun 17 11:01:13 2013	(r321093)
@@ -9,22 +9,9 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/__init__.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/__init__.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_debugsupport.c
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/__init__.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/__init__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/_bundle.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/_bundle.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/_bundle.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/_constants.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/_constants.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/_constants.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/_native.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/_native.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/_native.pyo
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/tests.py
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/tests.pyc
-%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe/tests.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_compat.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_compat.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_compat.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_stringdefs.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_stringdefs.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_stringdefs.pyo
@@ -154,9 +141,6 @@
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/basic/test.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/basic/test.pyc
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/basic/test.pyo
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/basic/test2.py
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/basic/test2.pyc
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/basic/test2.pyo
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/basic/test_filter_and_linestatements.py
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/basic/test_filter_and_linestatements.pyc
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/basic/test_filter_and_linestatements.pyo
@@ -204,7 +188,6 @@
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/testsuite/res/templates
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/testsuite/res
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/testsuite
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2/_markupsafe
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/jinja2
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
 @dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Nicola Vitale freebsd_committer 2013-06-17 12:05:03 UTC
State Changed
From-To: open->closed

Committed, thanks!